classification
Title: HTTPResponse.read(amt) fails when response length is UNKNOWN
Type: behavior Stage: test needed
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ajaksu2, cropr, gmonroe
Priority: normal Keywords: easy

Created on 2003-12-31 19:18 by gmonroe, last changed 2010-08-18 23:57 by BreamoreBoy. This issue is now closed.

Messages (3)
msg60438 - (view) Author: Grant Monroe (gmonroe) Date: 2003-12-31 19:18
If the length of the reponse from an HTTPConnection is
unknown, then a read with a specified amount fails.
 
File "/home/grant/local/lib/python2.3/httplib.py", line
404, in read
    self.length -= amt
TypeError: unsupported operand type(s) for -=: 'str'
and 'int'
msg60439 - (view) Author: ruben decrop (cropr) Date: 2005-05-24 07:31
Logged In: YES 
user_id=17539

I can reproduce the same error.
This  happens when the server answers using the HTTP 0.9
protocol.
Apparently the _read_status() is getting confused for some
HTTP 0.9 messages.
msg114305 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-18 23:57
Closed as svn blame shows this is hopelessly out of date.
History
Date User Action Args
2010-08-18 23:57:30BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg114305

resolution: out of date
2009-04-22 17:20:05ajaksu2setkeywords: + easy
2009-02-13 05:07:32ajaksu2setnosy: + ajaksu2
stage: test needed
type: behavior
versions: + Python 2.6, - Python 2.3
2003-12-31 19:18:19gmonroecreate